# Copyright (C) 2018  Dave love, University of Manchester
# Licence as for the package source

%global commit 57d294e16a18cc37ef2e99ee6e4050abba551897
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global mcommit 223c5a1815a26fc1fa8f0eefa404b72332d9156c
%global mshortcommit %(c=%{commit}; echo ${c:0:7})

Name:		simde
Version:	0
Release:	1.git%shortcommit%{?dist}
Summary:	Implementations of SIMD instruction sets for systems which don't natively support them
License:	MIT
URL:		https://github.com/nemequ/simde
Source0:	https://github.com/nemequ/%name/archive/%commit/%name-%shortcommit.tar.gz
Source1:	https://github.com/nemequ/munit/archive/%mcommit/munit-%mshortcommit.tar.gz
BuildRequires:	gcc cmake3
BuildArch:	noarch

%description

SIMDe provides fast, portable implementations of SIMD intrinsics on
hardware which doesn't natively support them, such as calling SSE
functions on ARM.

The current focus is on writing complete portable implementations,
though a large number of functions already have accelerated
implementations using one (or more) of the following:

 * SIMD intrinsics from other ISA extensions (e.g., using NEON to
   implement SSE).
 * Compiler-specific vector extensions and built-ins such as
 __builtin_shufflevector and __builtin_convertvector
 * Compiler auto-vectorization hints, using:
   * OpenMP 4 SIMD
   * Cilk Plus
   * GCC loop-specific pragmas
   * clang pragma loop hint directives


%prep
%setup -q %{?commit: -n %name-%commit}
cd test
tar fx %SOURCE1
rmdir munit
ln -s munit-* munit

%build


%install
mkdir -p %buildroot%_includedir
cp -a simde %buildroot%_includedir


%check
cd test
%cmake3 .
%make_build


%files
%license COPYING
%doc README.md
%_includedir/simde


%changelog
* Fri Aug 31 2018  <loveshack@fedoraproject.org> - 
- Initial version

